summaryrefslogtreecommitdiffstats
path: root/tools/regression/geom_mirror/conf.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/regression/geom_mirror/conf.sh')
-rw-r--r--tools/regression/geom_mirror/conf.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/tools/regression/geom_mirror/conf.sh b/tools/regression/geom_mirror/conf.sh
index 5e7e15a..d8595f1 100644
--- a/tools/regression/geom_mirror/conf.sh
+++ b/tools/regression/geom_mirror/conf.sh
@@ -5,4 +5,11 @@ name="$(mktemp -u mirror.XXXXXX)"
class="mirror"
base=`basename $0`
+gmirror_test_cleanup()
+{
+ [ -c /dev/$class/$name ] && gmirror destroy $name
+ geom_test_cleanup
+}
+trap gmirror_test_cleanup ABRT EXIT INT TERM
+
. `dirname $0`/../geom_subr.sh
OpenPOWER on IntegriCloud